Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1185455 - SELinux is preventing chronyd from 'search' accesses on the directory NetworkManager.
Summary: SELinux is preventing chronyd from 'search' accesses on the directory Network...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:ed418d4faa8117af1b0ce3ddde9...
Depends On:
Blocks: F22FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2015-01-23 19:43 UTC by Onyeibo Oku
Modified: 2015-02-07 11:56 UTC (History)
8 users (show)

Fixed In Version: selinux-policy-3.13.1-110.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-07 11:56:58 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Onyeibo Oku 2015-01-23 19:43:52 UTC
Description of problem:
After a recent update.  Starting nmcli or internet from NetworkManager throws an AVC. Initially, this prevented internet access until I disabled Selinux, relabelled all files an enabled Selinux again.

Now there is internet access but the AVCs persist
SELinux is preventing chronyd from 'search' accesses on the directory NetworkManager.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that chronyd should be allowed search access on the NetworkManager directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep chronyd /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:chronyd_t:s0
Target Context                system_u:object_r:NetworkManager_var_run_t:s0
Target Objects                NetworkManager [ dir ]
Source                        chronyd
Source Path                   chronyd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-104.fc22.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.19.0-0.rc5.git0.1.fc22.x86_64 #1
                              SMP Mon Jan 19 15:00:29 UTC 2015 x86_64 x86_64
Alert Count                   22
First Seen                    2015-01-23 20:06:00 WAT
Last Seen                     2015-01-23 20:36:06 WAT
Local ID                      dd431b5e-ee52-4e05-8661-1b688a15aa30

Raw Audit Messages
type=AVC msg=audit(1422041766.378:622): avc:  denied  { search } for  pid=5651 comm="chronyd" name="NetworkManager" dev="tmpfs" ino=18333 scontext=system_u:system_r:chronyd_t:s0 tcontext=system_u:object_r:NetworkManager_var_run_t:s0 tclass=dir permissive=0


Hash: chronyd,chronyd_t,NetworkManager_var_run_t,dir,search

Version-Release number of selected component:
selinux-policy-3.13.1-104.fc22.noarch

Additional info:
reporter:       libreport-2.3.0
hashmarkername: setroubleshoot
kernel:         3.19.0-0.rc5.git0.1.fc22.x86_64
type:           libreport

Comment 1 Adam Williamson 2015-02-03 23:06:08 UTC
Description of problem:
Happens on boot of a Rawhide Workstation live image with selinux-policy-3.13.1-107.fc22.

Version-Release number of selected component:
selinux-policy-3.13.1-107.fc22.noarch

Additional info:
reporter:       libreport-2.3.0
hashmarkername: setroubleshoot
kernel:         3.19.0-0.rc7.git0.1.fc22.x86_64
type:           libreport

Comment 2 Adam Williamson 2015-02-03 23:07:33 UTC
Proposing as a Final blocker: "There must be no SELinux denial notifications or crash notifications on boot of or during installation from a release-blocking live image, or at first login after a default install of a release-blocking desktop." - https://fedoraproject.org/wiki/Fedora_22_Final_Release_Criteria#SELinux_and_crash_notifications . Details with 3.13.1-107:

Additional Information:
Source Context                system_u:system_r:chronyd_t:s0
Target Context                system_u:object_r:NetworkManager_var_run_t:s0
Target Objects                NetworkManager [ dir ]
Source                        chronyd
Source Path                   chronyd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-107.fc22.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux localhost 3.19.0-0.rc7.git0.1.fc22.x86_64 #1
                              SMP Mon Feb 2 15:14:19 UTC 2015 x86_64 x86_64
Alert Count                   1
First Seen                    2015-02-03 17:57:04 EST
Last Seen                     2015-02-03 17:57:04 EST
Local ID                      e6edecec-fcd0-413c-9069-e9d21b92cfac

Raw Audit Messages
type=AVC msg=audit(1423004224.24:446): avc:  denied  { search } for  pid=848 comm="chronyd" name="NetworkManager" dev="tmpfs" ino=18847 scontext=system_u:system_r:chronyd_t:s0 tcontext=system_u:object_r:NetworkManager_var_run_t:s0 tclass=dir permissive=1

Comment 3 Mike Ruckman 2015-02-07 05:31:24 UTC
I don't see this any more with the recent selinux-policy-3.13.1-110.fc22.noarch build.


Note You need to log in before you can comment on or make changes to this bug.